This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 59129 - @gprel relocation against dynamic symbol
@gprel relocation against dynamic symbol
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: binutils (Show other bugs)
1.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-31 09:52 EST by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-31 17:51:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-01-31 09:52:02 EST
Description of Problem:
I get error from ld when trying to build Omni on ia64.

Version-Release number of selected component (if applicable):
binutils-2.11.92.0.12-9.1

How Reproducible:
100%

Steps to Reproduce:
1. Unpack objs.tar.gz (in my home directory)
2. ld -shared -soname libomni.so -o libomni.so *.o

Actual Results:
ld: StringResource.o: @gprel relocation against dynamic symbol _ZN14StringResource11pLanguage_dE
ld: StringResource.o: @gprel relocation against dynamic symbol _ZN14StringResource11pLanguage_dE
ld: StringResource.o: @gprel relocation against dynamic symbol _ZN14StringResource11pLanguage_dE
Comment 1 Jakub Jelinek 2002-01-31 17:50:56 EST
This usually means you're trying to link non-fpic objects into shared library,
which is a big no no on ia64.
Comment 2 Tim Waugh 2002-02-01 06:12:04 EST
That's what it was.  Sorry!

Note You need to log in before you can comment on or make changes to this bug.